%define oname MHonArc

Summary:	A Perl mail-to-HTML converter
Name:		mhonarc
Version:	2.6.24
Release:	%mkrel 3
License:	GPLv2+
Group:		Networking/WWW
URL:		https://github.com/sympa-community/MHonArc/
Source:		https://github.com/sympa-community/MHonArc/archive/%{version}/%{oname}-%{version}.tar.gz
Patch0:         MHonArc-2.6.15-fix-perl.patch
Requires:	perl >= 0:5.601
BuildArch:	noarch

%global __requires_exclude  %{?__requires_exclude}|^perl\\((mhamain.pl|shellwords.pl)\\)

%description
MHonArc provides HTML mail archiving with index, mail thread linking, etc; plus
other capabilities including support for MIME and powerful user customization
features.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build

%install
perl install.me -batch -nodoc \
	-binpath %{buildroot}%{_bindir} \
	-libpath %{buildroot}%{_datadir}/%{oname} \
	-manpath %{buildroot}%{_mandir}

# just in case
cd %{buildroot}
find . -type f -exec perl -pi -e "s|%{buildroot}||g" {} \;

%files
%doc ACKNOWLG BUGS CHANGES README.txt RELNOTES
%doc doc examples extras logo
%{_bindir}/%{name}
%{_bindir}/mha-*
%{_datadir}/%{oname}/
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/mha-*.1*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.6.24-3.mga10
+ Revision: 2206671
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 2.6.24-2.mga9
+ Revision: 1813663
- Mageia 9 Mass Rebuild

* Fri Dec 04 2020 luigiwalser <luigiwalser> 2.6.24-1.mga8
+ Revision: 1652389
- 2.6.24
- update URLs
- remove perl 5.22 patch (fixed upstream)

* Wed Feb 12 2020 umeabot <umeabot> 2.6.19-4.mga8
+ Revision: 1502048
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.6.19-3.mga7
+ Revision: 1279516
- Mageia 7 Mass Rebuild

* Sat Mar 03 2018 tmb <tmb> 2.6.19-2.mga7
+ Revision: 1206402
- fix so it actually works with perl 5.22+ (debian)

* Tue May 09 2017 akien <akien> 2.6.19-1.mga6
+ Revision: 1099785
- Version 2.6.19

* Sat Jan 30 2016 umeabot <umeabot> 2.6.18-7.mga6
+ Revision: 929082
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.6.18-6.mga5
+ Revision: 746239
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 2.6.18-5.mga5
+ Revision: 733691
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 2.6.18-4.mga5
+ Revision: 682383
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.6.18-3.mga4
+ Revision: 507948
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.6.18-2.mga3
+ Revision: 360022
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 03 2012 dmorgan <dmorgan> 2.6.18-1.mga2
+ Revision: 189769
- New version 2.6.18 ( Fix CVE-2010-1677 / CVE-2010-4524) ( mga #3997)

* Mon Mar 07 2011 ennael <ennael> 2.6.16-6.mga1
+ Revision: 65898
- imported package mhonarc


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.6.16-6mdv2011.0
+ Revision: 620324
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 2.6.16-5mdv2010.0
+ Revision: 430026
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 2.6.16-4mdv2009.0
+ Revision: 252395
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 26 2007 Adam Williamson <awilliamson@mandriva.org> 2.6.16-2mdv2008.1
+ Revision: 102453
- if it's a noarch package, you *really* shouldn't use %%libdir as an install target...
- new license policy


* Wed Jan 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.6.16-1mdv2007.0
+ Revision: 109977
- Rename

* Wed Jan 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.6.16-1mdv2007.1
+ Revision: 109965
- New version 2.6.16
- Import MHonArc

